Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# Status

extends Object
implements Parcelable Result

java.lang.Object
↳ | com.google.android.gms.common.api.Status

## Class Overview

Represents the results of work.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final StatusCreator | CREATOR |

Public Methods
int | describeContents()
boolean | equals(Object obj)
PendingIntent | getResolution() A pending intent to resolve the failure.
Status | getStatus()
int | getStatusCode() Indicates the status of the operation.
boolean | hasResolution() Returns true if calling `startResolutionForResult(Activity, int)` will start any intents requiring user interaction.
int | hashCode()
boolean | isInterrupted() Returns true if the operation was interrupted.
boolean | isSuccess() Returns true if the operation was successful.
void | startResolutionForResult(Activity activity, int requestCode) Resolves an error by starting any intents requiring user interaction.
String | toString()
void | writeToParcel(Parcel out, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Fields

#### public static final StatusCreator CREATOR

## Public Methods

#### public int describeContents ()

#### public boolean equals (Object obj)

#### public PendingIntent getResolution ()

A pending intent to resolve the failure. This intent can be started with `startIntentSenderForResult(IntentSender, int, Intent, int, int, int)` to present UI to solve the issue.

##### Returns

- The pending intent to resolve the failure.

#### public Status getStatus ()

#### public int getStatusCode ()

Indicates the status of the operation.

##### Returns

- Status code resulting from the operation.

#### public boolean hasResolution ()

Returns true if calling `startResolutionForResult(Activity, int)` will start any intents requiring user interaction.

##### Returns

- true if there is a resolution that can be started.

#### public int hashCode ()

#### public boolean isInterrupted ()

Returns true if the operation was interrupted.

#### public boolean isSuccess ()

Returns true if the operation was successful.

##### Returns

- true if the operation was successful, false if there was an error.

#### public void startResolutionForResult (Activity activity, int requestCode)

Resolves an error by starting any intents requiring user interaction. See `SIGN_IN_REQUIRED`, and `RESOLUTION_REQUIRED`.

##### Parameters

activity | An Activity context to use to resolve the issue. The activity's onActivityResult method will be invoked after the user is done. If the resultCode is `RESULT_OK`, the application should try to connect again.
requestCode | The request code to pass to onActivityResult.

##### Throws

IntentSender.SendIntentException | If the resolution intent has been canceled or is no longer able to execute the request.

#### public String toString ()

#### public void writeToParcel (Parcel out, int flags)